# -*- coding: utf-8 -*-
from setuphelpers import *


def update_package():
    # Declaring local variables
    package_updated = False
    proxies = get_proxies()
    if not proxies:
        proxies = get_proxies_from_wapt_console()
    arch_dict = {
        "x64": "http://srvtemplates.ad.tranquil.it/binary_cache/googlechromestandaloneenterprise64_109.0.5414.120.msi",
        "x86": "http://srvtemplates.ad.tranquil.it/binary_cache/googlechromestandaloneenterprise_109.0.5414.120.msi",
    }
    binaries_dict = {
        "googlechromestandaloneenterprise_109.0.5414.120.msi": "d7fd246ea029c5c7ec30041a40d8831231752a98c8c1d0915218d7528d3b6f3a",
        "googlechromestandaloneenterprise64_109.0.5414.120.msi": "985a7f6edaa610ea791fe79a923e014e709ff7603f27f44d3ec8f04eca99bf6c",
    }
    download_url = arch_dict[control.architecture]
    latest_bin = download_url.split("/")[-1]
    version = "109.0.5414.120"

    bin_name = latest_bin
    download_url = "http://srvtemplates.ad.tranquil.it/binary_cache/" + bin_name
    sha256 = binaries_dict[bin_name]
    if isfile(bin_name):
        if get_sha256(bin_name) != sha256:
            remove_file(bin_name)
    print("Download URL is: %s" % download_url)
    if not isfile(bin_name):
        print("Downloading: %s" % bin_name)
        wget(download_url, bin_name, sha256=sha256, proxies=proxies)
    else:
        print("Binary is present: %s" % bin_name)

    if version:
        if Version(version, 4) > Version(control.get_software_version(), 4):
            print("Software version updated (from: %s to: %s)" % (control.get_software_version(), Version(version)))
            package_updated = True
        else:
            print("Software version up-to-date (%s)" % Version(version))
        control.set_software_version(version)
        control.save_control_to_wapt()
    return package_updated
